{# src/OC/PlatformBundle/Resources/views/Advert/index.html.twig #}
{% extends "YLPlatformBundle::layout.html.twig" %}

{% block title %}
    Accueil - {{ parent() }}
{% endblock %}
{% block header %}
    <div id="header" class="jumbotron">
        <h1>Ma plateforme d'annonces</h1>
        <p>
        Working ...
        </p>
        <p>
            <a class="btn btn-primary btn-lg" href="http://localhost/sfproject/web/app_dev.php/">
                HOME ... !!!
            </a>
        </p>
    </div>
{% endblock %}
{% block menuPlatform %}
    <h3>Les annonces</h3>
    <ul class="nav nav-pills nav-stacked">
        <li><a href="{{ path('yl_platform_home') }}">Accueil</a></li>
        <li><a href="{{ path('yl_platform_add') }}">Ajouter une annonce</a></li>
        <li><a href="{{ path('yl_platform_fakeSpam') }}">Simuler un Spam</a></li>
    </ul>        
    <h4>Dernières annonces</h4>
    {% block menuDerniereAnn %}
        {{ render(controller("YLPlatformBundle:Advert:menu", {'limit': 3})) }}
    {% endblock %}    
{% endblock %} 
{% block ylplatform_body %}
    <h1>Training...</h1>
    <hr>
    <h2>Liste des annonces</h2>
    <!--  -->
    <ul style="list-style-type:none;">
        {% for value in listAdverts %}
            <li>
                <a href="{{ path('yl_platform_view', {'id': value.id}) }}">
                    {{ value.title  ~ " " ~  value.content ~ " " ~ value.author ~ ", le " ~ value.date|date('d/m/Y') }}
                </a>
            </li>
        {% else %}
            <li>Pas (encore !) d'annonces</li>
        {% endfor %}            
    </ul>
{% endblock %}
{% block footer %}
    {{ webmaster }} © {{ 'now'|date('Y') }} and beyond.    
{% endblock %}